git.fiddlerwoaroof.com
Browse code

file watcher

Greg Wiley authored on 02/05/2017 16:27:53
Showing 1 changed files
1 1
new file mode 100755
... ...
@@ -0,0 +1,8 @@
1
+#!/bin/bash
2
+
3
+if ! which fswatch > /dev/null; then
4
+    echo 'fswatch is required https://github.com/emcrisostomo/fswatch'
5
+    exit 1
6
+fi
7
+fswatch -E --exclude '.' --include='\.(cc|h)$' -o $(dirname $0) | xargs -n1 -I{} make test
8
+